Subject: Re: bug#5235: 23.1; Unibyte keyboard input problem

From: Jason Rumney <[email-masked]>
Date: Fri, 25 Dec 2009 19:23:42 +0800

Tomasz Zbrożek wrote:
> I started this bug-case to get the answer to the question: why in unibyte mode 
> when I try to write in cp1250 I get codes like ^E instead of proper chars in 
> buffer ?

Keyboard input on Windows is Unicode in 23.1.  In previous versions it 
was in the system default codepage.

>  This behaviour is not correct even when comparing to previous Emacs 
> version (22.3). So, my question is how to fix this strange keyboard input 
> behaviour in unibyte mode ?
>   

What is "correct" is undefined in unibyte mode, since unibyte deals with 
bytes, not characters.